summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAaron W. Swenson <titanofold@gentoo.org>2018-08-06 08:24:28 -0400
committerAaron W. Swenson <titanofold@gentoo.org>2018-08-06 08:24:28 -0400
commit8a08aac2e6dcf35ebdabcc3bc42ed24dd064a1f1 (patch)
tree3f78f864fc66db7efcddc318079039d1617396af /mail-client
parentdev-python/django: remove old and vulnerable (diff)
downloadgentoo-8a08aac2e6dcf35ebdabcc3bc42ed24dd064a1f1.tar.gz
gentoo-8a08aac2e6dcf35ebdabcc3bc42ed24dd064a1f1.tar.bz2
gentoo-8a08aac2e6dcf35ebdabcc3bc42ed24dd064a1f1.zip
mail-client/roundcube: Bump to 1.3.7
Bump to 1.3.7 which addresses EFAIL (https://github.com/roundcube/roundcubemail/issues/6289). (Bug 662716) Add an elog statement that gives the location of the post-upgrade instructions in case the Roundcube update gets buried among many others. (Bug 462250) Make dev-php/PEAR-Net_Socket an optional module, and remove redundant dependencies. (Bug 650792) Remove references to PEAR modules. (Bug 650910) Update POST-INSTALL as step 7 is no longer required since we’re using the complete tarball. (Bug 650912) Bug: https://bugs.gentoo.org/462250 Bug: https://bugs.gentoo.org/650792 Bug: https://bugs.gentoo.org/650910 Bug: https://bugs.gentoo.org/650912 Closes: https://bugs.gentoo.org/662716 Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'mail-client')
-rw-r--r--mail-client/roundcube/Manifest1
-rw-r--r--mail-client/roundcube/files/POST-UPGRADE.txt2
-rw-r--r--mail-client/roundcube/files/roundcube-1.3.7-pear-removed-installed.json226
-rw-r--r--mail-client/roundcube/metadata.xml3
-rw-r--r--mail-client/roundcube/roundcube-1.3.7.ebuild96
5 files changed, 326 insertions, 2 deletions
diff --git a/mail-client/roundcube/Manifest b/mail-client/roundcube/Manifest
index ae44e207489..a37da701442 100644
--- a/mail-client/roundcube/Manifest
+++ b/mail-client/roundcube/Manifest
@@ -1 +1,2 @@
DIST roundcubemail-1.3.6-complete.tar.gz 5529370 BLAKE2B 49fd04d81b7047c61d33007b49aff2fe8d68fb0572d305b51aa0ae997c06e4924a3ff32861c19741f0c4d82adb9abb317781de8c1b324120e57d77f413cfa480 SHA512 fc1627d4b539742524c43b3faaa8cb5d64f934ad03f7cf8a461580a3a38dccb11140d08499b988742a0892534b1eda52f37a50f0911015983b6e27703294c70e
+DIST roundcubemail-1.3.7-complete.tar.gz 5533537 BLAKE2B 48d0c8e50d3d4878fa901bde40791bd9f6b11498f1acfed798bdd889817dc58baeec1985ad67b82326b48428f08b40730f301d2383df5a8700cf89bd31c01c0f SHA512 2e6c1e94866750835d843b4f4ea77148e467dfbee3a15e20bd7c9086c11ad9919f0ddc6097c40cacfcdbc2ceacf2f6fb1b7e8546a7fcb9f20d0e5bf84283d724
diff --git a/mail-client/roundcube/files/POST-UPGRADE.txt b/mail-client/roundcube/files/POST-UPGRADE.txt
index 785b8319a6c..82b48d70f26 100644
--- a/mail-client/roundcube/files/POST-UPGRADE.txt
+++ b/mail-client/roundcube/files/POST-UPGRADE.txt
@@ -13,8 +13,6 @@ Post-Upgrade Activities
php composer.phar update --no-dev
6. Update your database and configurations by running:
./bin/update.sh
-7. Update the cached javascript libraries by running:
- ./bin/install-jsdeps.sh
SQLite database upgrade
-----------------------
diff --git a/mail-client/roundcube/files/roundcube-1.3.7-pear-removed-installed.json b/mail-client/roundcube/files/roundcube-1.3.7-pear-removed-installed.json
new file mode 100644
index 00000000000..972f5e2beab
--- /dev/null
+++ b/mail-client/roundcube/files/roundcube-1.3.7-pear-removed-installed.json
@@ -0,0 +1,226 @@
+[
+ {
+ "name": "composer/semver",
+ "version": "1.4.2",
+ "version_normalized": "1.4.2.0",
+ "source": {
+ "type": "git",
+ "url": "https://github.com/composer/semver.git",
+ "reference": "c7cb9a2095a074d131b65a8a0cd294479d785573"
+ },
+ "dist": {
+ "type": "zip",
+ "url": "https://api.github.com/repos/composer/semver/zipball/c7cb9a2095a074d131b65a8a0cd294479d785573",
+ "reference": "c7cb9a2095a074d131b65a8a0cd294479d785573",
+ "shasum": ""
+ },
+ "require": {
+ "php": "^5.3.2 || ^7.0"
+ },
+ "require-dev": {
+ "phpunit/phpunit": "^4.5 || ^5.0.5",
+ "phpunit/phpunit-mock-objects": "2.3.0 || ^3.0"
+ },
+ "time": "2016-08-30T16:08:34+00:00",
+ "type": "library",
+ "extra": {
+ "branch-alias": {
+ "dev-master": "1.x-dev"
+ }
+ },
+ "installation-source": "dist",
+ "autoload": {
+ "psr-4": {
+ "Composer\\Semver\\": "src"
+ }
+ },
+ "notification-url": "https://packagist.org/downloads/",
+ "license": [
+ "MIT"
+ ],
+ "authors": [
+ {
+ "name": "Nils Adermann",
+ "email": "naderman@naderman.de",
+ "homepage": "http://www.naderman.de"
+ },
+ {
+ "name": "Jordi Boggiano",
+ "email": "j.boggiano@seld.be",
+ "homepage": "http://seld.be"
+ },
+ {
+ "name": "Rob Bast",
+ "email": "rob.bast@gmail.com",
+ "homepage": "http://robbast.nl"
+ }
+ ],
+ "description": "Semver library that offers utilities, version constraint parsing and validation.",
+ "keywords": [
+ "semantic",
+ "semver",
+ "validation",
+ "versioning"
+ ]
+ },
+ {
+ "name": "endroid/qr-code",
+ "version": "1.6.6",
+ "version_normalized": "1.6.6.0",
+ "source": {
+ "type": "git",
+ "url": "https://github.com/endroid/qr-code.git",
+ "reference": "cef5d5b7b904d7bb0708eb744c35316364b65fa0"
+ },
+ "dist": {
+ "type": "zip",
+ "url": "https://api.github.com/repos/endroid/qr-code/zipball/cef5d5b7b904d7bb0708eb744c35316364b65fa0",
+ "reference": "cef5d5b7b904d7bb0708eb744c35316364b65fa0",
+ "shasum": ""
+ },
+ "require": {
+ "ext-gd": "*",
+ "php": ">=5.3.0"
+ },
+ "time": "2016-05-29T07:37:18+00:00",
+ "type": "library",
+ "extra": {
+ "branch-alias": {
+ "dev-master": "1.x-dev"
+ }
+ },
+ "installation-source": "dist",
+ "autoload": {
+ "psr-4": {
+ "Endroid\\QrCode\\": "src/"
+ }
+ },
+ "notification-url": "https://packagist.org/downloads/",
+ "license": [
+ "MIT"
+ ],
+ "authors": [
+ {
+ "name": "Jeroen van den Enden",
+ "email": "info@endroid.nl",
+ "homepage": "http://endroid.nl/"
+ }
+ ],
+ "description": "Endroid QR Code",
+ "homepage": "https://github.com/endroid/QrCode",
+ "keywords": [
+ "code",
+ "endroid",
+ "qr",
+ "qrcode"
+ ]
+ },
+ {
+ "name": "kolab/net_ldap3",
+ "version": "1.0.6",
+ "version_normalized": "1.0.6.0",
+ "source": {
+ "type": "git",
+ "url": "https://gitlab.com/roundcube/net_ldap3.git",
+ "reference": "4c21bdebaa62d05a36f3ef3eee4e9742875d7e57"
+ },
+ "dist": {
+ "type": "zip",
+ "url": "https://gitlab.com/api/v4/projects/roundcube%2Fnet_ldap3/repository/archive.zip?sha=4c21bdebaa62d05a36f3ef3eee4e9742875d7e57",
+ "reference": "4c21bdebaa62d05a36f3ef3eee4e9742875d7e57",
+ "shasum": ""
+ },
+ "require": {
+ "pear/net_ldap2": ">=2.0.12",
+ "php": ">=5.3.3"
+ },
+ "time": "2017-08-07T14:48:10+00:00",
+ "type": "library",
+ "installation-source": "dist",
+ "autoload": {
+ "classmap": [
+ "lib/"
+ ]
+ },
+ "notification-url": "https://packagist.org/downloads/",
+ "license": [
+ "GPL-3.0+"
+ ],
+ "authors": [
+ {
+ "name": "Jeroen van Meeuwen",
+ "email": "vanmeeuwen@kolabsys.com",
+ "role": "Lead"
+ },
+ {
+ "name": "Aleksander Machniak",
+ "email": "machniak@kolabsys.com",
+ "role": "Developer"
+ },
+ {
+ "name": "Thomas Bruederli",
+ "email": "roundcube@gmail.com",
+ "role": "Developer"
+ }
+ ],
+ "description": "A successor of the PEAR:Net_LDAP2 module providing advanced functionality for accessing LDAP directories",
+ "homepage": "http://git.kolab.org/pear/Net_LDAP3/",
+ "keywords": [
+ "PEAR",
+ "ldap",
+ "vlv"
+ ]
+ },
+ {
+ "name": "roundcube/plugin-installer",
+ "version": "0.1.9",
+ "version_normalized": "0.1.9.0",
+ "source": {
+ "type": "git",
+ "url": "https://github.com/roundcube/plugin-installer.git",
+ "reference": "782420af7fb3f24295a61101d7e9296110c894e4"
+ },
+ "dist": {
+ "type": "zip",
+ "url": "https://api.github.com/repos/roundcube/plugin-installer/zipball/782420af7fb3f24295a61101d7e9296110c894e4",
+ "reference": "782420af7fb3f24295a61101d7e9296110c894e4",
+ "shasum": ""
+ },
+ "require": {
+ "composer/semver": "^1.4.2",
+ "php": ">=5.3.0"
+ },
+ "require-dev": {
+ "composer/composer": "*"
+ },
+ "time": "2017-10-29T16:13:28+00:00",
+ "bin": [
+ "src/bin/rcubeinitdb.sh"
+ ],
+ "type": "composer-installer",
+ "extra": {
+ "class": "Roundcube\\Composer\\PluginInstaller"
+ },
+ "installation-source": "dist",
+ "autoload": {
+ "psr-0": {
+ "Roundcube\\Composer": "src/"
+ }
+ },
+ "notification-url": "https://plugins.roundcube.net/downloads/",
+ "license": [
+ "GPL-3.0+"
+ ],
+ "authors": [
+ {
+ "name": "Till Klampaeckel",
+ "email": "till@php.net"
+ },
+ {
+ "name": "Thomas Bruederli",
+ "email": "thomas@roundcube.net"
+ }
+ ],
+ "description": "A composer-installer for Roundcube plugins."
+ }
+]
diff --git a/mail-client/roundcube/metadata.xml b/mail-client/roundcube/metadata.xml
index 3426ba6898d..9d188db0f13 100644
--- a/mail-client/roundcube/metadata.xml
+++ b/mail-client/roundcube/metadata.xml
@@ -14,6 +14,9 @@
<remote-id type="github">roundcube/roundcubemail</remote-id>
</upstream>
<use>
+ <flag name="change-password">
+ Allow users to change passwords through Roundcube
+ </flag>
<flag name="enigma">
Add dependencies to support server-side GnuPG signing
and/or encryption through the enigma plugin
diff --git a/mail-client/roundcube/roundcube-1.3.7.ebuild b/mail-client/roundcube/roundcube-1.3.7.ebuild
new file mode 100644
index 00000000000..67784de8111
--- /dev/null
+++ b/mail-client/roundcube/roundcube-1.3.7.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit webapp
+
+MY_PN=${PN}mail
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="A browser-based multilingual IMAP client with an application-like user interface"
+HOMEPAGE="https://roundcube.net"
+SRC_URI="https://github.com/${PN}/${MY_PN}/releases/download/${PV}/${MY_P}-complete.tar.gz"
+
+# roundcube is GPL-licensed, the rest of the licenses here are
+# for bundled PEAR components, googiespell and utf8.class.php
+LICENSE="GPL-3 BSD PHP-2.02 PHP-3 MIT public-domain"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="change-password enigma ldap managesieve mysql postgres sqlite ssl spell"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+# this function only sets DEPEND so we need to include that in RDEPEND
+need_httpd_cgi
+
+# :TODO: Support "endriod/qrcode: ~1.6.5" dep (ebuild needed)
+RDEPEND="
+ ${DEPEND}
+ >=dev-lang/php-5.4.0[filter,gd,iconv,json,ldap?,pdo,postgres?,session,sqlite?,ssl?,unicode,xml]
+ >=dev-php/PEAR-Auth_SASL-1.1.0
+ >=dev-php/PEAR-Mail_Mime-1.10.0
+ >=dev-php/PEAR-Mail_mimeDecode-1.5.5
+ >=dev-php/PEAR-Net_IDNA2-0.2.0
+ >=dev-php/PEAR-Net_SMTP-1.7.1
+ virtual/httpd-php
+ change-password? (
+ >=dev-php/PEAR-Net_Socket-1.2.1
+ dev-lang/php[sockets]
+ )
+ enigma? (
+ >=dev-php/PEAR-Crypt_GPG-1.6.0
+ app-crypt/gnupg
+ )
+ ldap? (
+ >=dev-php/PEAR-Net_LDAP2-2.2.0
+ dev-php/PEAR-Net_LDAP3
+ )
+ managesieve? ( >=dev-php/PEAR-Net_Sieve-1.4.0 )
+ mysql? (
+ || (
+ dev-lang/php[mysql]
+ dev-lang/php[mysqli]
+ )
+ )
+ spell? ( dev-lang/php[curl,spell] )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ default
+
+ # Redundant. (Bug #644896)
+ rm -r vendor/pear || die
+ # Remove references to PEAR. (Bug #650910)
+ cp "${FILESDIR}"/${P}-pear-removed-installed.json \
+ vendor/composer/installed.json \
+ || die
+}
+
+src_install() {
+ webapp_src_preinst
+
+ dodoc CHANGELOG INSTALL README.md UPGRADING
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r [[:lower:]]* SQL
+ doins .htaccess
+
+ webapp_serverowned "${MY_HTDOCSDIR}"/logs
+ webapp_serverowned "${MY_HTDOCSDIR}"/temp
+
+ webapp_configfile "${MY_HTDOCSDIR}"/config/defaults.inc.php
+ webapp_postupgrade_txt en "${FILESDIR}/POST-UPGRADE.txt"
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ webapp_pkg_postinst
+
+ if [[ -n ${REPLACING_VERSIONS} ]]; then
+ elog "You can review the post-upgrade instructions at:"
+ elog "${EROOT%/}/usr/share/webapps/${PN}/${PV}/postupgrade-en.txt"
+ fi
+}